#include <bits/stdc++.h>
using namespace std;

int n, m, a[1505][1505];
int main()
{
    cin >> n >> m;

    for(int i = 0; i <n; i++)
    for(int j = 0; j <n; j++)
    {
        cin >> a[i][j];
    }

    cout << 0 << endl;

}